## cascading.flow.local.planner
Class LocalFlowStepJob

    java.lang.Object
      cascading.flow.planner.FlowStepJob<Properties>
          cascading.flow.local.planner.LocalFlowStepJob

All Implemented Interfaces:
  Callable<Throwable>

    public class LocalFlowStepJob

extends FlowStepJob<Properties>

Field Summary

Fields inherited from class cascading.flow.planner.FlowStepJob
`flowStep, flowStepStats, pollingInterval, predecessors, statsStoreInterval, stepName, throwable`

Constructor Summary
`LocalFlowStepJob(ClientState clientState, LocalFlowProcess flowProcess, LocalFlowStep flowStep)`

Method Summary
`protected FlowStepStats` `createStepStats(ClientState clientState)`
`protected void` `dumpDebugInfo()`
`Properties` `getConfig()`
`protected Throwable` `getThrowable()`
`protected void` `internalBlockOnStop()`
`protected boolean` `internalIsStarted()`
`protected String` `internalJobId()`
`protected boolean` `internalNonBlockingIsComplete()`
`protected boolean` `internalNonBlockingIsSuccessful()`
`protected void` `internalNonBlockingStart()`
`protected boolean` `isRemoteExecution()`

Methods inherited from class cascading.flow.planner.FlowStepJob
`blockOnJob, blockOnPredecessors, blockTillCompleteOrStopped, call, getStepStats, isSkipFlowStep, isStarted, isSuccessful, setPredecessors, sleepForPollingInterval, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalFlowStepJob

    public LocalFlowStepJob(ClientState clientState,
                            LocalFlowProcess flowProcess,
                            LocalFlowStep flowStep)

Method Detail

### getConfig

    public Properties getConfig()

  Specified by:
    `getConfig` in class `FlowStepJob<Properties>`

### createStepStats

    protected FlowStepStats createStepStats(ClientState clientState)

  Specified by:
    `createStepStats` in class `FlowStepJob<Properties>`

### isRemoteExecution

    protected boolean isRemoteExecution()

  Specified by:
    `isRemoteExecution` in class `FlowStepJob<Properties>`

### internalJobId

    protected String internalJobId()

  Specified by:
    `internalJobId` in class `FlowStepJob<Properties>`

### internalNonBlockingStart

    protected void internalNonBlockingStart()
                                     throws IOException

  Specified by:
    `internalNonBlockingStart` in class `FlowStepJob<Properties>`
  Throws:
    `IOException`

### internalIsStarted

    protected boolean internalIsStarted()

  Specified by:
    `internalIsStarted` in class `FlowStepJob<Properties>`

### internalNonBlockingIsComplete

    protected boolean internalNonBlockingIsComplete()
                                             throws IOException

  Specified by:
    `internalNonBlockingIsComplete` in class `FlowStepJob<Properties>`
  Throws:
    `IOException`

### getThrowable

    protected Throwable getThrowable()

  Specified by:
    `getThrowable` in class `FlowStepJob<Properties>`

### internalNonBlockingIsSuccessful

    protected boolean internalNonBlockingIsSuccessful()
                                               throws IOException

  Specified by:
    `internalNonBlockingIsSuccessful` in class `FlowStepJob<Properties>`
  Throws:
    `IOException`

### internalBlockOnStop

    protected void internalBlockOnStop()
                                throws IOException

  Specified by:
    `internalBlockOnStop` in class `FlowStepJob<Properties>`
  Throws:
    `IOException`

### dumpDebugInfo

    protected void dumpDebugInfo()

  Specified by:
    `dumpDebugInfo` in class `FlowStepJob<Properties>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.